<?php
// Fichier contenant les parametres du plugin (pour le parser)
$flashgal_parse = array(
		'%I1'	=> isset($row['IMGID']) ? $row['IMGID'] : ''  ,
		'%I2'	=> isset($row['IMGNAME']) ? trigger_event('render_element_description',$row['IMGNAME']) : ''  ,
		'%I3'	=> isset($row['IMGDESC']) ? trigger_event('render_element_description',$row['IMGDESC']) : ''  ,
		'%I4'	=> isset($row['IMGAUTHOR']) ? $row['IMGAUTHOR'] : ''  ,
		'%I5'	=> isset ($row) ? (get_thumbnail_location($row)) : '' ,
		'%I6'	=> isset($row['IMGPATH']) ? $row['IMGPATH']: '',
		'%I7'	=> isset($row['IMGPATH']) ? 
                                            ($row['has_high'] and $user['enabled_high'] 
                                                ? dirname($row['IMGPATH']).'/pwg_high/'.basename($row['IMGPATH']) 
                                                : $row['IMGPATH'])
                                          : '',

								
		'%I8'	=> (isset($row['CATID']) & isset($row['CATNAME'])) ?
										duplicate_picture_url(array(	'image_id' => $row['IMGID'],
																		'image_file' => $row['IMGFILE'],
																		'category' => array(
																						'id' => $row['CATID'],
																						'name' => $row['CATNAME'],
																						'permalink' => ''
																					  )
																		),
																		array('start')
															 )
										:
										duplicate_picture_url( array(	'image_id' => $row['id'],
																		'image_file' => $row['file']
																	),
																	 array('start')
															 )
					,

		'%I9'	=> isset ($row) ? ( url_is_remote(get_thumbnail_location($row)) ? get_thumbnail_location($row) : embellish_url(get_root_url().get_thumbnail_location($row))) : '' ,
		'%IA'	=> isset($row['IMGPATH']) ? (url_is_remote($row['IMGPATH']) ? $row['IMGPATH']: embellish_url(get_root_url().$row['IMGPATH'])) : '',
		'%IB'	=> isset($row['IMGPATH']) ? 
                                            ($row['has_high'] and $user['enabled_high'] 
                                                ? (url_is_remote($row['IMGPATH']) 
                                                    ? dirname($row['IMGPATH']).'/pwg_high/'.basename($row['IMGPATH']) 
                                                    : embellish_url( get_root_url(). dirname($row['IMGPATH']).'/pwg_high/'.basename($row['IMGPATH'])))
                                                : (url_is_remote($row['IMGPATH']) ? $row['IMGPATH']: embellish_url(get_root_url().$row['IMGPATH']))
                                            )
										  : '',								
		'%IC'	=> isset($row['IMGFILE']) ? $row['IMGFILE'] : ''  ,

		'%G1'	=> get_root_url(),

		'%C1'	=> isset($row['CATID']) ? $row['CATID'] : '',
		'%C2'	=> isset($row['CATNAME']) ? trigger_event('render_category_name',$row['CATNAME']) : '',
		'%C3'	=> isset($row['CATDESC']) ? trigger_event('render_category_description',$row['CATDESC']) : '',
		'%C4'	=> isset($row['CATDIR']) ? $row['CATDIR'] : '',
		'%C5'	=> isset($row['CATDIRFULL']) ? embellish_url( get_root_url().'galerie/'.$row['CATDIR']) : '',
		
		);
/*
%Ix Image
	%I1 : IMGID			ID
	%I2 : IMGNAME 		nom_image
	%I3 : IMGDESC		description
	%I4 : IMGAUTHOR		auteur
	%I5 : IMGTHUMB		URLThumb (path non complet : /galerie/category...)
	%I6 : IMGNORMAL		URLNormal (path non complet : /galerie/category...)
	%I7 : IMGHIGH		URLHigh (path non complet : /galerie/category...)
	%I8 : IMGPICTURE	URLPicture 
	%I9 : IMGTHUMBFULL	Lien complet vers Miniature
	%IA : IMGNORMALFULL	Lien complet vers Normale
	%IB : IMGHIGHFULL	Lien complet vers High
	%IC : IMGFILE		nom_fichier

%Gx Generaux
	%G1 : 		root path : URL du piwigo
	

%Cx : Categories
	%C1 : CATID			ID
	%C2 : CATNAME		nom
	%C3 : CATDESC		description
	%C4 : CATPATH		Path de la galerie (non complet)
	%C5 : CATPATHFULL	Path complet de la galerie

*/
?>